## org.eclipse.jet.xpath
Interface IAnnotationManager

    public interface IAnnotationManager

Interface that manages annotations of model elements.

Method Summary
`java.lang.Object` `getAnnotationObject(java.lang.Object modelObject)` Return the annotation object corresponding to the model object.
`boolean` `hasAnnotations(java.lang.Object modelObject)` Test whether the manager has annotations of the given model object.

Method Detail

### getAnnotationObject

    java.lang.Object getAnnotationObject(java.lang.Object modelObject)

  Return the annotation object corresponding to the model object. If the manager has not annotation object for the model object, it must create one. Repeated calls to the method with the same argument must return the same result.

  Parameters:
    `modelObject` - the model object for which the annotation object is sought.
  Returns:
    the annotation object.
  Throws:
    `java.lang.NullPointerException` - if `modelObject` is `null`

### hasAnnotations

    boolean hasAnnotations(java.lang.Object modelObject)

  Test whether the manager has annotations of the given model object.

  Parameters:
    `modelObject` -
  Returns:
    `true` if there are annotations, `false` otherwise.

Copyright 2006 IBM Corporation and others. All Rights Reserved.